GET /v2/cursus/:cursus_id/teams/graph(/on/:field(/by/:interval))
Return grouped temporal data on teams
GET /v2/users/:user_id/teams/graph(/on/:field(/by/:interval))
Return grouped temporal data on teams
GET /v2/users/:user_id/projects/:project_id/teams/graph(/on/:field(/by/:interval))
Return grouped temporal data on teams
GET /v2/teams/graph(/on/:field(/by/:interval))
Return grouped temporal data on teams
GET /v2/projects/:project_id/teams/graph(/on/:field(/by/:interval))
Return grouped temporal data on teams
Count all occurences on a particular field (default on created_at) by a particular period, starting from the first occurence to now.
settings Params
| Param name | Description |
|---|---|
| field |
optional
. Must be one of: created_at, updated_at, locked_at, closed_at, deadline_at, terminating_at.
The date field to graph on. Default to |
| interval |
optional
. Must be one of: day, week, month, quarter, year, hour_of_day, day_of_week, day_of_month, month_of_year.
The interval to graph by. Default to |
| sort |
optional
. Must be one of: id, project_id, name, created_at, updated_at, locked_at, closed_at, final_mark, repo_url, repo_uuid, deadline_at, terminating_at, project_session_id, status.
The sort field. Sorted by id asc by default. MoreExample:To sort on teams on the fields project_session_id on a descending order and status on a ascending order: ...&sort=-project_session_id,status |
| filter |
optional
. Must be one of: id, project_id, name, created_at, updated_at, locked_at, closed_at, final_mark, repo_url, repo_uuid, deadline_at, terminating_at, project_session_id, status, cursus, active_cursus, campus, primary_campus, locked, closed, deadline, terminating, with_mark.
Filtering on one or more fields MoreExample:
To filter on teams with the
...&filter[id]=a_value,another_value Filterable fields:
|
| range |
optional
. Must be one of: id, project_id, name, created_at, updated_at, locked_at, closed_at, final_mark, repo_url, repo_uuid, deadline_at, terminating_at, project_session_id, status.
Select on a particular range MoreExample:
To range on teams with the
...&range[status]=min_value,max_value Rangeable fields:
|
Examples
GET /v2/teams/graph/on/created_at/by/day
200
{
"2017-11-22": 68
}
curl -H "Authorization: Bearer YOUR_ACCESS_TOKEN" "https://api.intra.42.fr/v2/teams/graph/on/created_at/by/day"
{
"2017-11-22": 68
}
require "oauth2"
UID = "Your application uid"
SECRET = "Your application secret"
client = OAuth2::Client.new(UID, SECRET, site: "https://api.intra.42.fr")
token = client.client_credentials.get_token
response = token.get("/v2/teams/graph/on/created_at/by/day")
response.status
# => 200
response.parsed
# => {"2017-11-22"=>68}